import "dotenv/config";
import { bool, cleanEnv, str } from "envalid";

export const env = cleanEnv(process.env, {
	NODE_ENV: str({
		choices: ["development", "production"],
		default: "development",
	}),
	LOG_LEVEL: str({
		choices: ["trace", "debug", "info", "warn", "error", "fatal", "silent"],
		default: "info",
	}),
	LOG_FILE: bool({ default: false }),
});
