import { resolve } from "node:path";
import { defineConfig } from "vite";

export default defineConfig({
	resolve: {
		alias: {
			"#root": resolve(__dirname, "./src"),
		},
	},
	build: {
		target: "node22",
		outDir: "dist",
		ssr: true,
		rollupOptions: {
			input: "index.ts",
			output: {
				format: "esm",
			},
		},
	},
});
